package com.liquidnet.service.candy.dto.admin;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CandyCouponFilterDto implements Serializable, Cloneable {
    private static final long serialVersionUID = -3287018184399499549L;
    private String couponId;
    private String title;
    private String notice;
    private Integer busiType;
    private Integer couType;
    private Integer bindType;
    private BigDecimal discount;
    private BigDecimal valFace;
    private BigDecimal valOver;
    private BigDecimal valMinus;

    private String busiName;

    private static final CandyCouponFilterDto obj = new CandyCouponFilterDto();

    public static CandyCouponFilterDto getNew() {
        try {
            return (CandyCouponFilterDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new CandyCouponFilterDto();
        }
    }
}
